Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport
Interface TransportProtocol

All Known Implementing Classes:
  TransportProtocolCommon

public interface TransportProtocol

DOCUMENT ME!

Method Summary
`void` | `addMessageStore(SshMessageStore store)` DOCUMENT ME!
`void` | `disconnect(java.lang.String description)` DOCUMENT ME!
`int` | `getConnectionId()` DOCUMENT ME!
`byte[]` | `getSessionIdentifier()` DOCUMENT ME!
`TransportProtocolState` | `getState()` DOCUMENT ME!
`java.lang.String` | `getUnderlyingProviderDetail()`
`SshMessage` | `readMessage(int[] filter)` DOCUMENT ME!
`void` | `sendMessage(SshMessage ms, java.lang.Object sender)` DOCUMENT ME!

Method Detail

### disconnect

    public void disconnect(java.lang.String description)

  DOCUMENT ME!

  Parameters:
    `description` - DOCUMENT ME!

### addMessageStore

    public void addMessageStore(SshMessageStore store)
                         throws MessageAlreadyRegisteredException

  DOCUMENT ME!

  Parameters:
    `store` - DOCUMENT ME!
  Throws:
    `MessageAlreadyRegisteredException` - DOCUMENT ME!

### sendMessage

    public void sendMessage(SshMessage ms,
                            java.lang.Object sender)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `ms` - DOCUMENT ME!
    `sender` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### readMessage

    public SshMessage readMessage(int[] filter)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `filter` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getSessionIdentifier

    public byte[] getSessionIdentifier()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getConnectionId

    public int getConnectionId()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getState

    public TransportProtocolState getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getUnderlyingProviderDetail

    public java.lang.String getUnderlyingProviderDetail()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD